#!/bin/sh

mkdir -p deploy/love

# make sure we have löve
cd deploy/love
if [ ! -e love-0.8.0-win-x86.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-win-x86.zip
    unzip love-0.8.0-win-x86.zip || exit 1
fi
if [ ! -e love-0.8.0-macosx-ub.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-macosx-ub.zip
    unzip love-0.8.0-macosx-ub.zip || exit 1
fi
cd ../..

# make the love file
V=`bzr version-info --custom --template={revno}`
echo "VERSION = '$V'" >version.lua
rm -f deploy/sailaway.love
bzr ls -RV |zip -q@ deploy/sailaway.love
bzr revert --no-backup version.lua

cd deploy

# package win32
rm -rf sailaway-win32 sailaway-win32.zip
mkdir sailaway-win32
cat love/love-0.8.0-win-x86/love.exe sailaway.love >sailaway-win32/sailaway.exe
cp love/love-0.8.0-win-x86/*.dll sailaway-win32
# TODO: this is a spot I could copy a README, LICENSE, or VERSION file in.
zip -qr sailaway-win32.zip sailaway-win32

# package osx
rm -rf "Sail Away.app" sailaway-macosx.zip
cp -r love/love.app "Sail Away.app"
cp sailaway.love "Sail Away.app"/Contents/Resources/
cp ../Info.plist "Sail Away.app"/Contents/
zip -qry sailaway-macosx.zip "Sail Away.app"

cd ..
